Exception::getCode
Exception::getLine
Exception
PHP Manual

# Exception::getFile

(PHP 5 >= 5.1.0)

Exception::getFile — Gets the file in which the exception occurred

### Opis

final public string Exception::getFile ( void )

Get the name of the file the exception was thrown from.

### Parametry

Ta funkcja nie posiada parametrów.

### Zwracane wartości

Returns the filename in which the exception was thrown.

### Przykłady

Example #1 Exception::getFile() example

`<?php
try {
throw new Exception;
} catch(Exception $e) {
echo $e->getFile();
}
?>`

Powyższy przykład wyświetli coś podobnego do:

    /home/bjori/tmp/ex.php

Exception::getCode
Exception::getLine
Exception
PHP Manual